# Uses of Class
org.eclipse.ecf.filetransfer.RemoteFileSystemException

Packages that use RemoteFileSystemException
Package
Description
org.eclipse.ecf.filetransfer
org.eclipse.ecf.provider.filetransfer.browse

## Uses of RemoteFileSystemException in org.eclipse.ecf.filetransfer

Methods in org.eclipse.ecf.filetransfer that throw RemoteFileSystemException
Modifier and Type
Method
Description
`IRemoteFileSystemRequest`
IRemoteFileSystemBrowserContainerAdapter.`sendBrowseRequest(IFileID directoryOrFileID, IRemoteFileSystemListener listener)`
Send a request for file or directory information for given directoryOrFileID.

## Uses of RemoteFileSystemException in org.eclipse.ecf.provider.filetransfer.browse

Methods in org.eclipse.ecf.provider.filetransfer.browse that throw RemoteFileSystemException
Modifier and Type
Method
Description
`IRemoteFileSystemRequest`
MultiProtocolFileSystemBrowserAdapter.`sendBrowseRequest(IFileID directoryOrFileID, IRemoteFileSystemListener listener)`
Constructors in org.eclipse.ecf.provider.filetransfer.browse that throw RemoteFileSystemException
Modifier
Constructor
Description
``
`LocalFileSystemBrowser(IFileID directoryID2, IRemoteFileSystemListener listener)`